Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454384 - Backport fix for 445545 to F-8
Summary: Backport fix for 445545 to F-8
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ocaml
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 445545
Blocks: 441685
TreeView+ depends on / blocked
 
Reported: 2008-07-08 05:46 UTC by Stephen Warren
Modified: 2012-11-15 18:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-11 17:12:32 UTC


Attachments (Terms of Use)

Description Stephen Warren 2008-07-08 05:46:27 UTC
The fix for OCaml bug 445545 needs to be back-ported to F-8, in order to fix
unison bug 441685.

Comment 1 Fedora Update System 2008-07-13 21:42:22 UTC
ocaml-3.10.0-8.fc8 has been submitted as an update for Fedora 8

Comment 2 Fedora Update System 2008-07-15 12:16:40 UTC
ocaml-3.10.0-8.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ocaml'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6333

Comment 3 Stephen Warren 2008-07-15 16:10:09 UTC
Does Koji build against the testing or the stable repository? I'm trying to work
out when I can/should rebuild unison against this fixed package version. Thanks.


Comment 4 Richard W.M. Jones 2008-07-15 16:20:42 UTC
Don't worry.  Add an explicit dependency on the fixed package, ie:

  BuildRequires: ocaml >= 3.10.0-8

However if that fails in Koji then I suspect you'll need to ask rel-eng
at redhat.com to manually push this update to the build roots.

Comment 5 Stephen Warren 2008-08-18 21:00:34 UTC
You can probably close this out now; a unison built against this backport has been in stable for ~ a week now. I haven't heard either way from users re: the issue being fixed, but I assume it must have been.

Comment 6 Fedora Update System 2008-09-11 17:12:29 UTC
ocaml-3.10.0-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.